Subject: bug#1299 closed by Chong Yidong <[email-masked]> (Re: bug#1299: lispref - searching.texi: Updating of looking-back arguments and return values in the example)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1299: lispref - searching.texi: Updating of looking-back arguments and return values in the example

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
1299: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1299
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Mon Nov  3 11:21:25 2008
From: Chong Yidong <[email-masked]>
To: Seweryn Kokot <[email-masked]>
Cc: [email-masked], martin rudalics <[email-masked]>
Subject: Re: bug#1299: lispref - searching.texi: Updating of looking-back arguments and return values in the example
Date: Mon, 03 Nov 2008 14:21:31 -0500

Seweryn Kokot <[email-masked]> wrote:

> See the diff attached. Note that I copied the explanation for greedy
> argument of `looking-back' function.

Thanks.  I've checked in your patch with some minor modifications.

martin rudalics <[email-masked]> wrote:

> FWIW, it might not harm to also resolve the contradiction that REGEXP
> can match _before_ LIMIT when GREEDY is non-nil (in the manual _and_
> the doc-string).

I noted this in the manual and the doc-string.  Thanks.

>From [email-masked] Sun Nov  2 11:03:17 2008
To: [email-masked]
Subject: lispref - searching.texi: Updating of looking-back arguments and return values in the example
From: Seweryn Kokot <[email-masked]>
Date: Sun, 02 Nov 2008 20:06:29 +0100

--=-=-=

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

See the diff attached. Note that I copied the explanation for greedy
argument of `looking-back' function. Because I'm not a native speaker
so probably this paragraph requires some rephrasing. 

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=searching.diff

diff -ud /home/sewi/emacs_cvs/emacs/doc/lispref/searching.texi /home/sewi/emacs_cvs/emacs/doc/lispref/searching_cor.texi
--- /home/sewi/zrodla/elisp_files/emacs_cvs/emacs/doc/lispref/searching.texi	2008-11-02 19:39:21.000000000 +0100
+++ /home/sewi/zrodla/elisp_files/emacs_cvs/emacs/doc/lispref/searching_cor.texi	2008-11-02 19:54:10.000000000 +0100
@@ -1094,7 +1094,7 @@
 @end example
 @end defun
 
-@defun looking-back regexp &optional limit
+@defun looking-back regexp &optional limit greedy
 This function returns @code{t} if @var{regexp} matches text before
 point, ending at point, and @code{nil} otherwise.
 
@@ -1105,6 +1105,10 @@
 not to search before @var{limit}.  In this case, the match that is
 found must begin at or after @var{limit}.
 
+If greedy is non-nil, extend the match backwards as far as possible,
+stopping when a single additional previous character cannot be part
+of a match for regexp.
+
 @example
 @group
 ---------- Buffer: foo ----------
@@ -1408,7 +1412,7 @@
   (re-search-forward "The \\(cat \\)")
   (match-beginning 0)
   (match-beginning 1))
-    @result{} (9 9 13)
+    @result{} (17 9 13)
 @end group
 
 @group

Diff finished.  Sun Nov  2 19:54:17 2008

--=-=-=

-- 
regards,
Seweryn Kokot

--=-=-=--